List Appointments
Returns a paginated list of appointments.
Authorization
bearerAuth In: header
Query Parameters
Filters resources by contact.
uuidFilters by any of the supplied contact values.
items <= 10Identifier assigned by an external system.
Filters by any of the supplied external id values.
items <= 10Filters resources by status key.
Filters by any of the supplied status key values.
Filters resources by type key.
Filters by any of the supplied type key values.
Filters resources by start time.
date-timeFilters out resources with this start time.
date-timeOnly returns resources whose start time is after this timestamp (exclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose start time is at or after this timestamp (inclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose start time is before this timestamp (exclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose start time is at or before this timestamp (inclusive). See Filtering for timestamp precision.
date-timeFilters resources by end time.
date-timeFilters out resources with this end time.
date-timeOnly returns resources whose end time is after this timestamp (exclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose end time is at or after this timestamp (inclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose end time is before this timestamp (exclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose end time is at or before this timestamp (inclusive). See Filtering for timestamp precision.
date-timeFilters for resources where end time is null.
Filters for resources where end time is not null.
Maximum number of resources to return.
100 <= value <= 100Opaque token returned by a previous page request.
1 <= lengthAdditional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
Dynamic detail fields to include. Use repeated query syntax: include_details=foo&include_details=bar.
items <= 10Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/appointments"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "raw_description": "string", "external_id": "string", "status_key": "string", "type_key": "string", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "start_time": "2019-08-24T14:15:22Z", "end_time": "2019-08-24T14:15:22Z", "confirmed_at": "2019-08-24T14:15:22Z", "cancelled_at": "2019-08-24T14:15:22Z", "calendar_id": "c828ce68-4c5a-4491-b76a-af3d888d3f97", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "additional_fields": [ { "key": "string", "value": "string" } ], "contact": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string", "full_name": "string", "salutation": "string", "birthday": "2019-08-24", "description": "string", "external_id": "string", "secondary_external_id": "string", "address_line1": "string", "address_line2": "string", "city": "string", "zipcode": "string", "country": "string", "is_blocked": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "status": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key": "string", "name": "string", "type": "cancelled", "idx": 9007199254740991 }, "calendar": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "external_id": "string", "calendar_resource_id": "b91c4c5a-de69-4276-8281-8d05c6c9e77d", "type": "provider", "is_default": true, "scheduling_enabled": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "property1": "string", "property2": "string" } ], "next_page_url": "string", "previous_page_url": "string"}